idris-1.0: Functional Programming Language with Dependent Types

Copyright | License : BSD3
Maintainer | The Idris Community.
Safe Haskell | None
Language | Haskell98

Idris.Imports

Description

Synopsis

- data IFileType
  - = IDR FilePath
  - | LIDR FilePath
  - | IBC FilePath IFileType
- findImport :: [FilePath] -> FilePath -> FilePath -> Idris IFileType
- findInPath :: [FilePath] -> FilePath -> IO FilePath
- findPkgIndex :: String -> Idris FilePath
- ibcPathNoFallback :: FilePath -> FilePath -> FilePath
- installedPackages :: IO [String]
- pkgIndex :: String -> FilePath

# Documentation

data IFileType #

Constructors

IDR FilePath |
LIDR FilePath |
IBC FilePath IFileType |

Instances

Eq IFileType # |
Methods (==) :: IFileType -> IFileType -> Bool # (/=) :: IFileType -> IFileType -> Bool #
Show IFileType # |
Methods showsPrec :: Int -> IFileType -> ShowS # show :: IFileType -> String # showList :: [IFileType] -> ShowS #

findImport :: [FilePath] -> FilePath -> FilePath -> Idris IFileType #

findInPath :: [FilePath] -> FilePath -> IO FilePath #

findPkgIndex :: String -> Idris FilePath #

ibcPathNoFallback :: FilePath -> FilePath -> FilePath #

installedPackages :: IO [String] #

pkgIndex :: String -> FilePath #

Get the index file name for a package name